---
title: border-image-repeat
slug: Web/CSS/border-image-repeat
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-image-repeat</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property defines how the <a href="/en-US/docs/Web/CSS/border-image-slice#edge-regions">edge regions</a> of a source image are adjusted to fit the dimensions of an element's <a href="/en-US/docs/Web/CSS/border-image">border image</a>.</p>

<div>{{EmbedInteractiveExample("pages/css/border-image-repeat.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
border-image-repeat: stretch;
border-image-repeat: repeat;
border-image-repeat: round;
border-image-repeat: space;

/* vertical | horizontal */
border-image-repeat: round stretch;

/* Global values */
border-image-repeat: inherit;
border-image-repeat: initial;
border-image-repeat: unset;
</pre>

<p>The <code>border-image-repeat</code> property may be specified using one or two values chosen from the list of values below.</p>

<ul>
 <li>When <strong>one</strong> value is specified, it applies the same behavior on <strong>all four sides</strong>.</li>
 <li>When <strong>two</strong> values are specified, the first applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>stretch</code></dt>
 <dd>The source image's edge regions are stretched to fill the gap between each border.</dd>
 <dt><code>repeat</code></dt>
 <dd>The source image's edge regions are tiled (repeated) to fill the gap between each border. Tiles may be clipped to achieve the proper fit.</dd>
 <dt><code>round</code></dt>
 <dd>The source image's edge regions are tiled (repeated) to fill the gap between each border. Tiles may be stretched to achieve the proper fit.</dd>
 <dt><code>space</code></dt>
 <dd>The source image's edge regions are tiled (repeated) to fill the gap between each border. Extra space will be distributed in between tiles to achieve the proper fit.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Repeating_border_images">Repeating border images</h3>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; highlight[7] notranslate">#bordered {
  width: 12rem;
  margin-bottom: 1rem;
  padding: 1rem;
  border: 40px solid;
  border-image: url("https://mdn.mozillademos.org/files/4127/border.png") 27;
  border-image-repeat: stretch;  /* Can be changed in the live sample */
}
</pre>

<div class="hidden">
<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="bordered"&gt;You can try out various border repetition rules on me!&lt;/div&gt;

&lt;select id="repetition"&gt;
  &lt;option value="stretch"&gt;stretch&lt;/option&gt;
  &lt;option value="repeat"&gt;repeat&lt;/option&gt;
  &lt;option value="round"&gt;round&lt;/option&gt;
  &lt;option value="space"&gt;space&lt;/option&gt;
  &lt;option value="stretch repeat"&gt;stretch repeat&lt;/option&gt;
  &lt;option value="space round"&gt;space round&lt;/option&gt;
&lt;/select&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">var repetition = document.getElementById("repetition");
repetition.addEventListener("change", function (evt) {
  document.getElementById("bordered").style.borderImageRepeat = evt.target.value;
});
</pre>
</div>

<h4 id="Results">Results</h4>

<p>{{EmbedLiveSample("Repeating_border_images", "auto", 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-border-image-repeat', 'border-image-repeat')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-image-repeat")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Backgrounds_and_Borders">Backgrounds and borders</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Building_blocks/Backgrounds_and_borders">Learn CSS: Backgrounds and borders</a></li>
</ul>
